# Class ParserTokenManager

java.lang.Object
bsh.ParserTokenManager

All Implemented Interfaces:
  `ParserConstants`

public class ParserTokenManager extends Object implements ParserConstants

## Field Summary

Fields
Modifier and Type
Field
Description
`protected char`
`curChar`
`PrintStream`
`debugStream`
`protected JavaCharStream`
`input_stream`
`static final String[]`
`jjstrLiteralImages`
`static final String[]`
`lexStateNames`

### Fields inherited from interface ParserConstants

`_DEFAULT, ABSTRACT, ANDASSIGN, ANDASSIGNX, ASSIGN, BANG, BIT_AND, BIT_ANDX, BIT_OR, BIT_ORX, BOOL_AND, BOOL_ANDX, BOOL_OR, BOOL_ORX, BOOLEAN, BREAK, BYTE, CASE, CATCH, CHAR, CHARACTER_LITERAL, CLASS, COLON, COMMA, CONST, CONTINUE, DECIMAL_LITERAL, DECR, DEFAULT, DIGIT, DO, DOT, DOUBLE, ELSE, ENUM, EOF, EQ, EXPONENT, EXTENDS, FALSE, FINAL, FINALLY, FLOAT, FLOATING_POINT_LITERAL, FOR, FORMAL_COMMENT, GE, GEX, GOTO, GT, GTX, HASH_BANG_COMMENT, HEX_LITERAL, HOOK, IDENTIFIER, IF, IMPLEMENTS, IMPORT, INCR, INSTANCEOF, INT, INTEGER_LITERAL, INTERFACE, LBRACE, LBRACKET, LE, LETTER, LEX, LONG, LPAREN, LSHIFT, LSHIFTASSIGN, LSHIFTASSIGNX, LSHIFTX, LT, LTX, MINUS, MINUSASSIGN, MOD, MODASSIGN, MULTI_LINE_COMMENT, NATIVE, NE, NEW, NONPRINTABLE, NULL, OCTAL_LITERAL, ORASSIGN, ORASSIGNX, PACKAGE, PLUS, PLUSASSIGN, PRIVATE, PROTECTED, PUBLIC, RBRACE, RBRACKET, RETURN, RPAREN, RSIGNEDSHIFT, RSIGNEDSHIFTASSIGN, RSIGNEDSHIFTASSIGNX, RSIGNEDSHIFTX, RUNSIGNEDSHIFT, RUNSIGNEDSHIFTASSIGN, RUNSIGNEDSHIFTASSIGNX, RUNSIGNEDSHIFTX, SEMICOLON, SHORT, SINGLE_LINE_COMMENT, SLASH, SLASHASSIGN, STAR, STARASSIGN, STATIC, STRICTFP, STRING_LITERAL, SWITCH, SYNCHRONIZED, THROW, THROWS, TILDE, tokenImage, TRANSIENT, TRUE, TRY, VOID, VOLATILE, WHILE, XOR, XORASSIGN`

## Constructor Summary

Constructors
Constructor
Description
`ParserTokenManager(JavaCharStream stream)`
`ParserTokenManager(JavaCharStream stream, int lexState)`

## Method Summary

Modifier and Type
Method
Description
`Token`
`getNextToken()`
`protected Token`
`jjFillToken()`
`void`
`ReInit(JavaCharStream stream)`
`void`
`ReInit(JavaCharStream stream, int lexState)`
`void`
`setDebugStream(PrintStream ds)`
`void`
`SwitchTo(int lexState)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### debugStream

public PrintStream debugStream

### jjstrLiteralImages

public static final String[] jjstrLiteralImages

### lexStateNames

public static final String[] lexStateNames

### input_stream

protected JavaCharStream input_stream

### curChar

protected char curChar

## Constructor Details

### ParserTokenManager

public ParserTokenManager(JavaCharStream stream)

### ParserTokenManager

public ParserTokenManager(JavaCharStream stream, int lexState)

## Method Details

### setDebugStream

public void setDebugStream(PrintStream ds)

### ReInit

public void ReInit(JavaCharStream stream)

### ReInit

public void ReInit(JavaCharStream stream, int lexState)

### SwitchTo

public void SwitchTo(int lexState)

### jjFillToken

protected Token jjFillToken()

### getNextToken

public Token getNextToken()